<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div
  class="modal-header p-3"
  *ngIf="title">
  <div
    class="fw-bold modal-title overflow-hidden text-overflow-ellipsis"
    [innerText]="title">
  </div>
</div>

<div class="modal-body">
  <div
    class="text-center overflow-hidden text-overflow-ellipsis"
    [innerText]="message">
  </div>
</div>

<div class="modal-footer p-3">
  <button
    *ngIf="showCancelButton"
    ls-button-cancel
    (click)="activeModal.dismiss(commonMessages.ACTION_RESULT_CANCEL)">
  </button>
  <button
    ls-button
    (click)="activeModal.close(commonMessages.ACTION_RESULT_OK)"
    [icon]="buttonIcon"
    [style]="styles.DANGER"
    [text]="buttonText">
  </button>
</div>
